\version "2.19.81"

\include "pseudoindent.ly"

\paper {
  #(set-paper-size "a4" 'portrait)
  top-margin = 1 \cm
  bottom-margin = 1 \cm
  left-margin = 2.5 \cm
  ragged-bottom = ##t
  page-breaking = #ly:minimal-breaking
  
  top-system-spacing =
  #'((basic-distance . 15 )
  (minimum-distance . 15 )
  (padding . 0 )
  (stretchability . 0))
  
  system-system-spacing = 
  #'((basic-distance . 30 )
  (minimum-distance . 30 )
  (padding . 0 )
  (stretchability . 0))
  
  last-bottom-spacing =
  #'((basic-distance . 15 )
  (minimum-distance . 15 )
  (padding . 0 )
  (stretchability . 0))
  
  %min-systems-per-page = 5
  %systems-per-page = 5
  %max-systems-per-page = 5
  
  print-page-number = ##t
  oddHeaderMarkup = \markup { \on-the-fly #not-first-page "(cic)" }
  evenHeaderMarkup = \markup { \on-the-fly #not-first-page "(cic)" }
  oddFooterMarkup = \markup { \fill-line {
    \on-the-fly #not-first-page 
    \concat {
      "-"
      \fontsize #1.5
      \on-the-fly #print-page-number-check-first
      \fromproperty #'page:page-number-string
      "-"}}}
  evenFooterMarkup = \markup { \fill-line {
    \on-the-fly #not-first-page 
    \concat { 
      "-" 
      \fontsize #1.5
      \on-the-fly #print-page-number-check-first
      \fromproperty #'page:page-number-string
      "-"}}}
}

\header {
  title = \markup { \italic {Counterfeiting in Colonial Connecticut}}
  %subtitle = \markup { \normal-text { from \italic{a history of the domino the problem}}}
  composer = \markup \right-column {"michael winter" "(gatlinburg, tennessee; 2020)"}
  tagline = ""
} 

#(set-global-staff-size 11)

\layout {
  indent = 0.0\cm
  line-width = 17\cm 
  ragged-last = ##t
  ragged-right = ##f
  
  \context {
    \Score
      %\remove "Mark_engraver" 
      %\override BarNumber.extra-offset = #'(0 . 4)
      \override BarNumber.stencil = #(make-stencil-circler 0.1 0.25 ly:text-interface::print)
      \override Stem.stemlet-length = #0.75
      %\override SpacingSpanner.base-shortest-duration = #(ly:make-moment 1/4)
      %\override SpacingSpanner.common-shortest-duration = #(ly:make-moment 1/30)
      proportionalNotationDuration = #(ly:make-moment 1/16)
      %\override SpacingSpanner.strict-note-spacing = ##t
      %\override SpacingSpanner.uniform-stretching = ##t
      %\override TextSpanner.breakable = ##t
      \remove "Separating_line_group_engraver"
      %\override PaperColumn.used = ##t
      %\override DynamicTextSpanner.style = #'none
  }
  \context {
    \Staff
    
    \override VerticalAxisGroup.staff-staff-spacing =
      #'((basic-distance . 13 )
      (minimum-distance . 13 )
      (padding . 0 )
      (stretchability . 0))
      
      %\consists "Mark_engraver"
      %\remove "Dot_column_engraver"
      %\remove "Time_signature_engraver"
      %\remove "Clef_engraver"
      %\override StaffSymbol.line-count = #1
      %\override NoteHead.no-ledgers = ##t
      %\override RestCollision.positioning-done = #merge-rests-on-positioning
      \override RehearsalMark.X-offset = #1
      \override RehearsalMark.Y-offset = #4
      \override VerticalAxisGroup.default-staff-staff-spacing =
      #'((basic-distance . 16 )
      (minimum-distance . 16 )
      (padding . 0 )
      (stretchability . 0))
      
      \override TimeSignature.font-size = #2
      \override TimeSignature.break-align-symbol = #'clef
      \override TimeSignature.X-offset =
        #ly:self-alignment-interface::x-aligned-on-self
      \override TimeSignature.self-alignment-X = #LEFT
      %\override TimeSignature.after-line-breaking =
      %  #shift-right-at-line-begin
      \override TimeSignature.Y-offset = #9
      \override TimeSignature.extra-offset = #'(2 . 0)
  }
  \context {
    \StaffGroup
    \name "SemiStaffGroup"
    \consists "Span_bar_engraver"
    \override SpanBar.stencil =
      #(lambda (grob) 
        (if (string=? (ly:grob-property grob 'glyph-name) "|")
            (set! (ly:grob-property grob 'glyph-name) ""))
        (ly:span-bar::print grob))
  }
  \context {
    \Score
    \accepts SemiStaffGroup
  }
}

\midi { }


%showLastLength = R1*128
\score{
\new Score 
  <<
    \new SemiStaffGroup {
    <<
    \new Staff \with {
      instrumentName = "oversound"
      shortInstrumentName = "oversound"
      midiInstrument = #"clarinet"
    }
    <<
      \include "includes/cicc_high.ly"
    >>

    \new Staff \with {
      instrumentName = "guitar"
      shortInstrumentName = "guitar"
      midiInstrument = #"electric guitar (jazz)"
    }
    <<
      \include "includes/cicc_guitar.ly"
    >>
    
    \new Staff \with {
      instrumentName = "undersound"
      shortInstrumentName = "undersound"
      midiInstrument = #"contrabass"
    }
    <<
      \include "includes/cicc_low.ly"
    >>
    
    >>
    }
  >>
  
  \layout{}
  \midi{}
}